<script setup>
onLaunch(() => {
  // eslint-disable-next-line no-console
  console.log('mall4j.v240115')
  setIOSUrl()
})

// 页面不存在时触发
onPageNotFound(() => {
  uni.reLaunch({
    url: '/pages/index/index'
  })
})

// 设置IOS url
const setIOSUrl = () => {
  uni.getSystemInfo({
    success: res => {
      // 客户端平台，值域为：ios、android
      if (res.platform === 'ios') {
        uni.setStorageSync('cloudIosUrl', window.location.href.split('#')[0])
      }
    }
  })
}
</script>

<!-- eslint-disable-next-line vue-scoped-css/enforce-style-type -->
<style lang="scss">
/*每个页面公共css */
@use "./app.scss";
</style>
